<?php
namespace Claromentis\Search\ItemType;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("per" . "ms" => base64_decode("cGVyb" . "XM="));
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Search\Indexing\Client\ClientInterface;
use Claromentis\Search\GlobalSearchItemInterface;






class Folder implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\Folder();
    }
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_6905a4a1c788ec5cb2cfea8ca6e4043e = new \Claromentis\Search\Permissions();
        $_622dbe3a724189e8a19867ecf48691a9 = $_6905a4a1c788ec5cb2cfea8ca6e4043e->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["perm" . "s"]);
        return $_622dbe3a724189e8a19867ecf48691a9;
    }
    
    
    
    
    public function GetView()
    {
        return new View\Folder();
    }
}